Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1280)
+++ palm/trunk/SCRIPTS/subjob	(revision 1289)
@@ -23,5 +23,6 @@
 # Current revisions:
 # ------------------
-# 
+# German comments translated to English
+# fimm-, necriam-, scirocco-, ibmy-, and sgi-specific code removed
 #
 # Former revisions:
@@ -91,5 +92,5 @@
 
 
-    # VARIABLENVEREINBARUNGEN + DEFAULTWERTE
+    # VARIABLE-DECLARATIONS AND DEFAULT VALUES
  delete_dayfile=false
  email_notification=none
@@ -115,6 +116,6 @@
 
 
-    # FEHLERBEHANDLUNG
-    # BEI EXIT:
+    # ERROR HANDLING
+    # IN CASE OF EXIT:
  trap 'if [[ $locat != normal ]]
        then
@@ -132,5 +133,5 @@
 
 
-    # BEI TERMINAL-BREAK:
+    # IN CASE OF TERMINAL-BREAK:
  trap '[[ -f $job_to_send ]]  &&  rm  $job_to_send
        printf "\n\n+++ SUBJOB killed \n\n"
@@ -141,13 +142,13 @@
 
 
-    # LOKALEN HOSTNAMEN FESTSTELLEN
+    # DETERMINE NAME OF LOCAL HOST
  local_host=$(hostname)
 
 
 
-    # HOSTSPEZIFISCHE VARIABLEN VEREINBAREN BZW. PRUEFEN, OB LOKALER HOST
-    # UEBERHAUPT ZULAESSIG IST
-    # Note: One of the entries for "lck" or "lckordi" always has to be
-    # comment out, because the hostname (node*) is same for both machines
+    # SET HOST-SPECIFIC VARIABLES VEREINBAREN (CHECK, IF LOCAL HOST
+    # IS ADMITTED AT ALL)
+    # NOTE: ONE OF THE ENTRIES FOR "lck" OR "lckordi" ALWAYS HAS TO BE
+    # COMMENT OUT, BECAUSE THE HOSTNAME (node*) IS SAME FOR BOTH MACHINES
  case  $local_host  in
      (ambiel-lx)             local_addres=134.106.74.48;  local_host=lcfor;;
@@ -156,11 +157,5 @@
      (autan)                 local_addres=130.75.105.57;  local_host=lcmuk;;
      (bora)                  local_addres=130.75.105.103; local_host=lcmuk;;
-     (bd1)                   local_addres=130.73.232.64;  local_host=lcsgib;;
-     (bd2)                   local_addres=130.73.232.65;  local_host=lcsgib;;
-     (bd3)                   local_addres=130.73.232.66;  local_host=lcsgib;;
-     (bd4)                   local_addres=130.73.232.67;  local_host=lcsgib;;
-     (b01*|bicegate1)        local_addres=130.73.232.102; local_host=lcsgib;;
      (b04*)                  local_addres=133.5.4.33;     local_host=lckyuh;;
-     (bicegate2)             local_addres=130.73.232.103; local_host=lcsgib;;
      (blizzard1)             local_addres=136.172.40.15;  local_host=ibmh;;
      (blogin*|bxc*)          local_addres=130.73.233.1;   local_host=lccrayb;;
@@ -171,8 +166,6 @@
      (climate*)              local_addres=165.132.26.68;  local_host=lcyon;;
      (clogin*)               local_addres=86.50.166.21;   local_host=lccrayf;;
-     (compute-*.local)       local_addres=172.20.4.2;     local_host=lcfimm;;
      (cs*)                   local_addres=136.172.44.131; local_host=nech;;
      (elephanta)             local_addres=130.75.105.6;   local_host=lcmuk;;
-     (fimm.bccs.uib.no)      local_addres=172.20.4.2;     local_host=lcfimm;;
      (flow01)                local_addres=10.141.255.71;  local_host=lcflow;;
      (flow02)                local_addres=10.141.255.72;  local_host=lcflow;;
@@ -181,16 +174,8 @@
      (gaia*)                 local_addres=150.183.146.24; local_host=ibmkisti;;
      (gallego)               local_addres=130.75.105.10;  local_host=lcmuk;;
-     (gfdl5)                 local_addres=165.132.26.58;  local_host=ibmy;;
      (gregale)               local_addres=130.75.105.109; local_host=lcmuk;;
      (hababai)               local_addres=130.75.105.108; local_host=lcmuk;;
      (hayaka*)               local_addres=133.5.4.33;     local_host=lckyuh;;
      (hexagon.bccs.uib.no)   local_addres=129.177.20.113; local_host=lcxe6;;
-     (hd1)                   local_addres=130.75.4.104;   local_host=lcsgih;;
-     (hd2)                   local_addres=130.75.4.105;   local_host=lcsgih;;
-     (hd3)                   local_addres=130.75.4.106;   local_host=lcsgih;;
-     (hd4)                   local_addres=130.75.4.107;   local_host=lcsgih;;
-     (hicegate0)             local_addres=130.75.4.101;   local_host=lcsgih;;
-     (h01*|hicegate1)        local_addres=130.75.4.102;   local_host=lcsgih;;
-     (hicegate2)             local_addres=130.75.4.103;   local_host=lcsgih;;
      (hx*)                   local_addres=133.3.51.11;    local_host=lckyoto;;
      (inferno)               local_addres=130.75.105.5;   local_host=lcmuk;;
@@ -212,13 +197,8 @@
      (quanero)               local_addres=130.75.105.107; local_host=lcmuk;;
      (rte*)                  local_addres=133.5.185.60;   local_host=lcrte;;
-     (r1*)                   local_addres=130.75.4.102;   local_host=lcsgih;;
-     (r2*)                   local_addres=130.73.232.102; local_host=lcsgib;;
-     (scirocco)              local_addres=172.20.25.41;   local_host=lcmuk;;
      (shiokaze-lx)           local_addres=134.106.74.123; local_host=lcfor;;
      (sisu-login*)           local_addres=86.50.166.21;   local_host=lccrayf;;
      (solano)                local_addres=130.75.105.110; local_host=lcmuk;;
      (sugoka*)               local_addres=172.31.120.1;   local_host=lckyut;;
-     (sun1|sun2)             local_addres=130.75.6.1;     local_host=unics;;
-     (sx-*)                  local_addres=172.16.1.131;   local_host=necriam;;
      (t2a*)                  local_addres=10.1.6.165;     local_host=lctit;;
      (urban*)                local_addres=147.46.30.151   local_host=lcsb;;
@@ -233,5 +213,5 @@
 
 
-    # REMOTE HOST DEFAULTMAESSIG = LOCAL HOST SETZEN
+    # BY DEFAULT, THE REMOTE HOST IS THE LOCAL HOST
  remote_host=$local_host
 
@@ -239,5 +219,5 @@
 
 
-    # PROZEDUROPTIONEN EINLESEN
+    # READ THE SHELLSCRIPT-OPTIONS
  while  getopts  :c:dDe:g:h:m:n:N:O:P:q:t:T:u:vX:  option
  do
@@ -266,10 +246,10 @@
 
 
-    # JOBDATEINAMEN ALS NAECHSTES ARGUMENT HOLEN
+    # GET THE NAME OF THE JOBFILE AS NEXT ARGUMENT
  (( to_shift = $OPTIND - 1 ))
  shift $to_shift; file_to_send=$1
 
 
-    # KURZE AUFRUFBESCHREIBUNG WIRD HIER AUSGEGEBEN
+    # OUTPUT OF SHORT DESCRIPTION OF SCRIPT-OPTIONS
  if [ "$1" = "?" ]
  then
@@ -282,6 +262,6 @@
     printf "\n        -D    only the job-file will be created   ---"
     printf "\n        -h    execution host, available hosts:    $remote_host"
-    printf "\n              ibm, ibmh, ibmkisti, ibmku, ibms, ibmy, lc...,"
-    printf "\n              lckiaps, lctit, nech, necriam, unics"
+    printf "\n              ibm, ibmh, ibmkisti, ibmku, ibms, lc...,"
+    printf "\n              lckiaps, lctit, nech"
     printf "\n        -m    memory demand per process in MByte  ---"
     printf "\n        -n    jobname                             <jobdatei>"
@@ -303,5 +283,5 @@
 
 
-    # PRUEFEN, OB JOBDATEI ANGEGEBEN WURDE UND OB SIE AUCH EXISTIERT
+    # CHECK, IF JOB-FILE HAS BEEN GIVEN AS ARGUMENT AND IF THE FILE ITSELF EXISTS
  if [[ "$file_to_send" = "" ]]
  then
@@ -322,6 +302,6 @@
 
 
-    # FALLS KEIN JOBNAME ANGEGEBEN WURDE, WIRD JOBNAME = JOBDATEINAME
-    # GESETZT. VORAUSSETZUNG: JOBDATEINAME BEINHALTET KEINE PFADE
+    # IF NO JOBNAME HAS BEEN GIVEN, JOBNAME IS SET TO THE NAME OF THE JOB-FILE,
+    # PROVIDED THAT THE JOB-FILE NAME DOES NOT CONTAIN ANY PATH
  if [[ $job_name = none ]]
  then
@@ -339,6 +319,6 @@
 
 
-    # HOSTSPEZIFISCHE GROESSEN VEREINBAREN BZW. ABBRUCH BEI UNZULAESSIGEM HOST
-    # ODER WENN HOST NICHT ANGEGEBEN WURDE
+    # SET HOST-SPECIFIC QUANTITIES, OR TERMINATE IN CASE OF UNKNOWN HOST,
+    # OR IF NO HOST HAS BEEN GIVEN
  if [[ $remote_host = none ]]
  then
@@ -352,13 +332,9 @@
         (ibmku)   queue=s4; remote_addres=133.5.4.129; submcom=/usr/local/bin/llsubmit;;
         (ibms)    queue=p_normal; remote_addres=150.183.5.101; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
-        (ibmy)    queue=parallel; remote_addres=165.132.26.58; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
         (lccrayb) queue=testq; remote_addres=130.73.233.1; submcom=/opt/moab/7.2.6/bin/msub;;
         (lccrayh) queue=mpp1testq; remote_addres=130.75.4.1; submcom=/opt/moab/7.2.6/bin/msub;;
         (lccrayf) queue=small; remote_addres=86.50.166.21; submcom=/opt/slurm/default/bin/sbatch;;
-	(lcfimm)  remote_addres=172.20.4.2; submcom=/opt/torque/bin/qsub;;
         (lcflow)  remote_addres=10.140.1.71; submcom=/cm/shared/apps/sge/6.2u5p2/bin/lx26-amd64/qsub;;
         (lckyoto) remote_addres=133.3.51.11; submcom=/thin/local/bin/qsub;;
-        (lcsgib)  queue=smallq; remote_addres=130.73.232.104; submcom=/opt/moab/bin/msub;;
-        (lcsgih)  queue=smallq; remote_addres=130.75.4.101; submcom=/opt/moab/bin/msub;;
         (lck)     remote_addres=165.132.26.61; submcom=/usr/torque/bin/qsub;;
         (lckiaps) remote_addres=118.128.66.223; submcom=/cm/shared/apps/pbspro/11.0.2.110766/bin/qsub;;
@@ -372,7 +348,4 @@
         (lcyon)   remote_addres=165.132.26.68; submcom=/usr/torque/bin/qsub;;
         (nech)    qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=136.172.44.147; submcom="/usr/local/bin/qsub";;
-        (necriam) qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=172.16.1.131; submcom="/usr/bin/nqsII/qsub";;
-        (vpp)     qsubmem=m; qsubtime=t; queue=vpp; remote_addres=130.75.4.130;;
-        (unics)   qsubmem=d; qsubtime=t; queue=unics; remote_addres=130.75.6.1;;
         (*)       printf "\n  +++ hostname \"$remote_host\" not allowed";
                   locat=parameter; exit;;
@@ -381,5 +354,5 @@
 
 
-    # EVTL. PRUEFEN, OB ANGEGEBENE QUEUE ZULAESSIG IST
+    # CHECK, IF A VALID QUEUE HAS BEEN GIVEN
  if [[ $no_default_queue != none ]]
  then
@@ -407,8 +380,4 @@
                      (*)                                     error=true;;
                  esac;;
-        (ibmy)   case  $ndq  in
-                     (parallel)                              error=false;;
-                     (*)                                     error=true;;
-                 esac;;
         (lccrayb) case  $ndq  in
                      (mpp1q|testq|specialm1q)                error=false;;
@@ -443,8 +412,4 @@
                      (*)                                     error=true;;
                  esac;;
-        (lcsgib|lcsgih)   case  $ndq  in
-                     (testq|serialq|smallq|mediumq|bigq|workq|dataq|permq|special1q)       error=false;;
-                     (*)                                     error=true;;
-                 esac;;
         (lctit)  case  $ndq  in
                      (G|L128|L256|L512H|S|S96|V)             error=false;;
@@ -455,8 +420,4 @@
                      (*)    error=true;;
                  esac;;
-        (necriam) case  $ndq  in
-                     (SP|SS|P6)  error=false;;
-                     (*)    error=true;;
-                 esac;;
         (t3eh)   case  $ndq  in
                      (para_t3e|em|k|l|lm|comp_t3e|c|p|ht)  error=false;;
@@ -471,8 +432,4 @@
                      (*)    error=true;;
                  esac;;
-        (unics)  case  $ndq  in
-                     (unics|ht)  error=false;;
-                     (*)         error=true;;
-                 esac;;
     esac
     if [[ $error = true ]]
@@ -487,6 +444,6 @@
 
 
-    # PRUEFEN DER CPU-ZEIT, ZEIT NACH STUNDEN, MINUTEN UND SEKUNDEN
-    # AUFTEILEN
+    # CHECK THE CPU-TIME
+    # SPLIT TIME INTO HOURS, MINUTES, AND SECONDS
  done=false
  while [[ $done = false ]]
@@ -520,5 +477,5 @@
 
 
-    # PRUEFEN DER KERNSPEICHERANFORDERUNG
+    # CHECK THE MEMORY DEMAND
  done=false
  while [[ $done = false ]]
@@ -535,5 +492,5 @@
  done
 
- if [[ $remote_host = nech  ||  $remote_host = necriam ]]
+ if [[ $remote_host = nech ]]
  then
     if (( tasks_per_node != 0 ))
@@ -552,5 +509,5 @@
 
 
-    # SPEICHERBERECHNUNG BEI OPENMP-NUTZUNG
+    # MEMORY DEMAND IN CASE OF OPENMP-USAGE ON IBM-SYSTEMS
  if [[ $(echo $remote_host | cut -c1-3) = ibm ]]
  then
@@ -559,5 +516,5 @@
 
 
-    # BERECHNUNG DER ANZAHL DER ZU VERWENDENDEN KNOTEN
+    # CALCULATE NUMBER OF REQUIRED NODES
  if (( tasks_per_node != 0 ))
  then
@@ -566,13 +523,13 @@
 
 
-    # Calculate number of processes per node
+    # CALCULATE NUMBER OF PROCESSES PER NODE
  (( processes_per_node = tasks_per_node * threads_per_task ))
 
 
-    # Calculate number of MPI tasks
+    # CALCULATE NUMBER OF MPI TASKS
  (( mpi_tasks = numprocs / threads_per_task ))
 
 
-    # Set port number option for calls of ssh/scp, subjob and batch_scp scripts
+    # SET PORT NUMBER OPTION FOR CALLS OF ssh/scp, subjob AND batch_scp SCRIPTS
  if [[ "$scp_port" != "" ]]
  then
@@ -582,5 +539,5 @@
 
 
-    # HEADER-AUSGABE
+    # HEADER-OUTPUT
  if [[ $verify = true ]]
  then
@@ -612,5 +569,5 @@
 
 
-       # KONTROLLABFRAGE, OB ALLES O.K.
+       # QUERY CHECK
     antwort="dummy"
     while [[ $antwort != y  &&  $antwort != Y  &&  $antwort != n  &&  $antwort != N ]]
@@ -627,11 +584,11 @@
 
 
-    # ZUFALLSKENNUNG GENERIEREN UND JOBNAMEN AUF ZIELRECHNER BESTIMMEN
- kennung=$RANDOM
- job_on_remhost=${job_name}_${kennung}_$local_host
- job_to_send=job_to_send_$kennung
+    # GENERATE RANDOM IDENTIFIER, AND DETERMINE THE JOBNAME ON THE TARGET HOST
+ identifier=$RANDOM
+ job_on_remhost=${job_name}_${identifier}_$local_host
+ job_to_send=job_to_send_$identifier
  if [[ $delete_dayfile = false ]]
  then
-    remote_dayfile=${local_host}_${job_name}_result_$kennung
+    remote_dayfile=${local_host}_${job_name}_result_$identifier
     local_dayfile=${remote_host}_${job_name}
  else
@@ -641,9 +598,9 @@
 
 
-    # Generate the batch job scripts (qsub/msub/LoadLeveler)
+    # GENERATE THE BATCH-JOB SCRIPTS (FOR QUEUEING-SYSTEMS qsub/msub/LoadLeveler)
  if [[ $(echo $remote_host | cut -c1-3) = ibm  &&  $numprocs != 0 ]]
  then
 
-       # General LoadLeveler settings
+       # GENERAL LOADLEVELER SETTINGS
     execute_in_shell="#!/bin/ksh"
     use_shell="# @ shell = /bin/ksh"
@@ -700,8 +657,4 @@
     then
        network_to_use="# @ network.mpi = csss,shared,us"
-    elif [[ $remote_host = ibmy ]]
-    then
-       consumable_memory=""
-       network_to_use=""
     fi
 
@@ -756,8 +709,5 @@
     else
 
-       if [[ $remote_host != ibmy ]]
-       then
-
-          cat >> $job_to_send << %%END%%
+       cat >> $job_to_send << %%END%%
 # @ blocking = unlimited
 # @ total_tasks = $numprocs
@@ -767,18 +717,7 @@
 %%END%%
 
-       else
-
-          cat >> $job_to_send << %%END%%
-# @ node = 1
-# @ total_tasks = $numprocs
-# @ queue
-
-%%END%%
-
-       fi
-
-    fi
-
-       # workaround because of silly job filter on ibmkisti
+    fi
+
+       # WORKAROUND BECAUSE OF SILLY JOB FILTER ON ibmkisti
     if [[ $remote_host = ibmkisti  &&  $threads_per_task != 1 ]]
     then
@@ -863,39 +802,4 @@
 $init_cmds
 $module_calls
-
-%%END%%
-
-    fi
-
- elif [[ $remote_host = lcfimm ]]
- then
-
-    if [[ $numprocs != 0 ]]
-    then
-       cat > $job_to_send << %%END%%
-#!/bin/ksh
-#PBS -N $job_name
-#PBS -A $project_account
-#PBS -l walltime=$timestring
-#PBS -l nodes=${nodes}:ppn=$processes_per_node
-#PBS -l pmem=${memory}mb
-#PBS -m abe
-#PBS -o $remote_dayfile
-#PBS -j oe
-mpd &
-
-%%END%%
-
-    else
-       cat > $job_to_send << %%END%%
-#!/bin/ksh
-#PBS -N $job_name
-#PBS -A $project_account
-#PBS -l walltime=$timestring
-#PBS -l ncpus=1
-#PBS -l pmem=${memory}mb
-#PBS -m abe
-#PBS -o $remote_dayfile
-#PBS -j oe
 
 %%END%%
@@ -1036,76 +940,4 @@
     fi
 
- elif [[ $remote_host = lcsgih  ||  $remote_host = lcsgib ]]
- then
-
-    if [[ "$sgi_feature" != "" ]]
-    then
-       feature_directive="#PBS -l feature=$sgi_feature"
-    else
-       feature_directive=""
-    fi
-
-    if [[ $queue = dataq || $queue = permq ]]
-    then
-       feature_directive="#PBS -l feature=data"
-    fi
-
-    if [[ $queue = testq  || $queue = mediumq  ||  $queue = bigq  ||  $queue = workq  ||  $queue = dataq  ||  $queue = permq ||  $queue = serialq  ||  $queue = special1q ]]
-    then
-       queue_directive="#PBS -q $queue"
-    else
-       queue_directive=""
-    fi
-
-    if [[ $email_notification = none ]]
-    then
-       email_directive=""
-    else
-       email_directive="#PBS -M $email_notification"
-    fi
-
-    if [[ $numprocs != 0 ]]
-    then
-       cat > $job_to_send << %%END%%
-#!/bin/bash
-#PBS -N $job_name
-#PBS -l walltime=$timestring
-#PBS -l nodes=$nodes:ppn=${processes_per_node}
-#PBS -l naccesspolicy=$node_usage
-#PBS -o $remote_dayfile
-#PBS -j oe
-$feature_directive
-$queue_directive
-$email_directive
-
-eval \`/sw/swdist/bin/modulesinit\`
-#. /usr/share/modules/init/bash
-$init_cmds
-$module_calls
-
-echo ld_library_path=\$LD_LIBRARY_PATH
-
-%%END%%
-
-    else
-       cat > $job_to_send << %%END%%
-#PBS -S /bin/bash
-#PBS -N $job_name
-#PBS -l walltime=$timestring
-#PBS -l ncpus=1
-#PBS -o $remote_dayfile
-#PBS -j oe
-$queue_directive
-$email_directive
-
-eval \`/sw/swdist/bin/modulesinit\`
-#. /usr/share/modules/init/bash
-$init_cmds
-$module_calls
-
-%%END%%
-
-    fi
-
  elif [[ $remote_host = lcxe6 ]]
  then
@@ -1290,41 +1122,4 @@
     fi
 
- elif [[ $remote_host = necriam ]]
- then
-
-    if (( nodes > 1 ))
-    then
-       cat > $job_to_send << %%END%%
-#!/bin/ksh
-#PBS -b $nodes
-#PBS -o $remote_dayfile
-#PBS -N $job_name
-#PBS -j o
-#PBS -v MPIPROGINV=YES
-
-%%END%%
-
-    elif [[ $numprocs != 0 ]]
-    then
-       cat > $job_to_send << %%END%%
-#!/bin/ksh
-#PBS -q ${queue}
-#PBS -o $remote_dayfile
-#PBS -N $job_name
-#PBS -j o
-#PBS -v MPIPROGINV=YES
-
-%%END%%
-
-    else
-       cat > $job_to_send << %%END%%
-#!/bin/ksh
-#PBS -o $remote_dayfile
-#PBS -j o
-
-%%END%%
-
-    fi
-
  elif [[ $remote_host = lctit ]]
  then
@@ -1336,5 +1131,5 @@
 %%END%%
 
-       # OPTIONEN FUER SUBMIT-KOMMANDO ZUSAMMENSTELLEN
+       # SET OPTIONS FOR SUBMIT-COMMAND
     if [[ $tasks_per_node != $processes_per_node ]]
     then
@@ -1358,8 +1153,7 @@
 
 
-    # BEI RECHNUNG AUF REMOTE-MASCHINEN RUECKTRANSFER DES DAYFILES PER TRAP
-    # BEI EXIT VERANLASSEN
-    # VEKTORRECHNER MUSS EIGENEN JOB STARTEN, DA DORT NOHUP NICHT FUNKTIONIERT
-    # AUF IBM IN SEOUL IST RUECKTRANSFER ZUR ZEIT GENERELL NICHT MOEGLICH
+    # IN CASE OF JOBS EXECUTING ON REMOTE-HOSTS, THE TRANSFER OF THE DAYFILES
+    # TO THE LOCAL HOSTS WILL BE INITIATED BY TRAP ON EXIT
+    # NO TRANSFER POSSIBLE ON IBM IN SEOUL
  if [[ $delete_dayfile = false  &&  $remote_host != $local_host ]]
  then
@@ -1367,5 +1161,5 @@
     echo "trap '"                               >>  $job_to_send
     echo "set +vx"                              >>  $job_to_send
-    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lccrayb  ||  $remote_host = lccrayh  ||  $(echo $remote_host | cut -c1-5) = lcsgi  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* ]]
+    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lccrayb  ||  $remote_host = lccrayh  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* ]]
     then
        if [[ $remote_host = ibmh ]]
@@ -1381,13 +1175,4 @@
        then
           return_queue=p_normal
-       elif [[ $remote_host = ibmy ]]
-       then
-          return_queue=serial
-       elif [[ $remote_host = lcsgih  ||  $remote_host = lcsgib ]]
-       then
-          return_queue=serialq
-       elif [[ $remote_host = necriam ]]
-       then
-          return_queue=SP
        elif [[ $remote_host = lccrayb || $remote_host = lccrayh ]]
        then
@@ -1411,37 +1196,37 @@
           if [[ $remote_host = ibmku ]]
           then
-             echo "echo \"#!/usr/bin/ksh\" >> scpjob.$kennung"            >>  $job_to_send
-             echo "echo \"# @ shell = /usr/bin/ksh\" >> scpjob.$kennung"  >>  $job_to_send
+             echo "echo \"#!/usr/bin/ksh\" >> scpjob.$identifier"            >>  $job_to_send
+             echo "echo \"# @ shell = /usr/bin/ksh\" >> scpjob.$identifier"  >>  $job_to_send
           else
-             echo "echo \"#!/bin/ksh\" >> scpjob.$kennung"                >>  $job_to_send
+             echo "echo \"#!/bin/ksh\" >> scpjob.$identifier"                >>  $job_to_send
           fi
-          echo "echo \"# @ job_type = serial\" >> scpjob.$kennung"    >>  $job_to_send
-          echo "echo \"# @ job_name = transfer\" >> scpjob.$kennung"  >>  $job_to_send
-          echo "echo \"# @ resources = ConsumableCpus(1) ConsumableMemory(1 gb)\" >> scpjob.$kennung"  >>  $job_to_send
-          echo "echo \"# @ wall_clock_limit = 00:10:00,00:10:00\" >> scpjob.$kennung "  >>  $job_to_send
-          echo "echo \"# @ output = job_queue/last_job_transfer_protocol\" >> scpjob.$kennung"  >>  $job_to_send
-          echo "echo \"# @ error = job_queue/last_job_transfer_protocol\" >> scpjob.$kennung"  >>  $job_to_send
+          echo "echo \"# @ job_type = serial\" >> scpjob.$identifier"    >>  $job_to_send
+          echo "echo \"# @ job_name = transfer\" >> scpjob.$identifier"  >>  $job_to_send
+          echo "echo \"# @ resources = ConsumableCpus(1) ConsumableMemory(1 gb)\" >> scpjob.$identifier"  >>  $job_to_send
+          echo "echo \"# @ wall_clock_limit = 00:10:00,00:10:00\" >> scpjob.$identifier "  >>  $job_to_send
+          echo "echo \"# @ output = job_queue/last_job_transfer_protocol\" >> scpjob.$identifier"  >>  $job_to_send
+          echo "echo \"# @ error = job_queue/last_job_transfer_protocol\" >> scpjob.$identifier"  >>  $job_to_send
           if [[ $host != "ibmh" ]]
           then
-             echo "echo \"# @ class = $return_queue\" >> scpjob.$kennung"  >>  $job_to_send
+             echo "echo \"# @ class = $return_queue\" >> scpjob.$identifier"  >>  $job_to_send
           fi
-          echo "echo \"# @ image_size = 10\" >> scpjob.$kennung"      >>  $job_to_send
-          echo "echo \"# @ notification = never\" >> scpjob.$kennung" >>  $job_to_send
-
-          echo "echo \"# @ queue\" >> scpjob.$kennung"                >>  $job_to_send
-          echo "echo \" \" >> scpjob.$kennung"                        >>  $job_to_send
-
-          echo "echo \"set -x\" >> scpjob.$kennung"                   >>  $job_to_send
-          echo "echo \"batch_scp  $PORTOPT  -d  -w 10  -u $local_user  $local_addres  ${job_catalog}/$remote_dayfile  \\\"$job_catalog\\\"  $local_dayfile\" >> scpjob.$kennung"  >>  $job_to_send
+          echo "echo \"# @ image_size = 10\" >> scpjob.$identifier"      >>  $job_to_send
+          echo "echo \"# @ notification = never\" >> scpjob.$identifier" >>  $job_to_send
+
+          echo "echo \"# @ queue\" >> scpjob.$identifier"                >>  $job_to_send
+          echo "echo \" \" >> scpjob.$identifier"                        >>  $job_to_send
+
+          echo "echo \"set -x\" >> scpjob.$identifier"                   >>  $job_to_send
+          echo "echo \"batch_scp  $PORTOPT  -d  -w 10  -u $local_user  $local_addres  ${job_catalog}/$remote_dayfile  \\\"$job_catalog\\\"  $local_dayfile\" >> scpjob.$identifier"  >>  $job_to_send
           if [[ $remote_host = ibmku ]]
           then
-             echo "echo \"rm  scpjob.$kennung\" >> scpjob.$kennung"   >>  $job_to_send
+             echo "echo \"rm  scpjob.$identifier\" >> scpjob.$identifier"   >>  $job_to_send
           fi
-          echo "echo \"exit\" >> scpjob.$kennung"                     >>  $job_to_send
+          echo "echo \"exit\" >> scpjob.$identifier"                     >>  $job_to_send
 
        elif [[ $remote_host = nech ]]
        then
           echo "cd /pf/b/${remote_user}/job_queue" >>  $job_to_send
-          echo "cat > scpjob.$kennung << %%END%%"  >>  $job_to_send
+          echo "cat > scpjob.$identifier << %%END%%"  >>  $job_to_send
           echo "#PBS -l ${qsubmem}=1GB,${qsubtime}=100"  >>  $job_to_send
           echo "#PBS -o last_job_transfer_protocol"      >>  $job_to_send
@@ -1454,19 +1239,7 @@
           echo "%%END%%"                           >>  $job_to_send
 
-       elif [[ $remote_host = necriam ]]
-       then
-          echo "cat > scpjob.$kennung << %%END%%"  >>  $job_to_send
-          echo "#PBS -q $return_queue"             >>  $job_to_send
-          echo "#PBS -o last_job_transfer_protocol"      >>  $job_to_send
-          echo "#PBS -j o"                         >>  $job_to_send
-          echo " "                                 >>  $job_to_send
-          echo "set -x"                            >>  $job_to_send
-          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_addres  $remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
-          echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
-          echo "%%END%%"                           >>  $job_to_send
-
        elif [[ $remote_host = lckyuh ]]
        then
-          echo "cat > scpjob.$kennung << %%END%%"  >>  $job_to_send
+          echo "cat > scpjob.$identifier << %%END%%"  >>  $job_to_send
           echo "#!/bin/bash"                       >>  $job_to_send
           echo "#PJM -L \"node=1\""                >>  $job_to_send
@@ -1485,5 +1258,5 @@
        elif [[ $remote_host = lckyut ]]
        then
-          echo "cat > scpjob.$kennung << %%END%%"  >>  $job_to_send
+          echo "cat > scpjob.$identifier << %%END%%"  >>  $job_to_send
           echo "#!/bin/bash"                       >>  $job_to_send
           echo "#PJM -L \"vnode=1\""               >>  $job_to_send
@@ -1500,24 +1273,7 @@
           echo "%%END%%"                           >>  $job_to_send
 
-       elif [[ $(echo $remote_host | cut -c1-5) = lcsgi ]]
-       then
-          echo "cat > scpjob.$kennung << %%END%%"  >>  $job_to_send
-          echo "#!/bin/bash"                             >>  $job_to_send
-          echo "#PBS -N job_protocol_transfer"           >>  $job_to_send
-          echo "#PBS -l walltime=00:30:00"               >>  $job_to_send
-          echo "#PBS -l nodes=1:ppn=1"                   >>  $job_to_send
-          echo "#PBS -l feature=data"                    >>  $job_to_send
-          echo "#PBS -o \$HOME/job_queue/last_job_transfer_protocol"      >>  $job_to_send
-          echo "#PBS -j oe"                        >>  $job_to_send
-          echo " "                                 >>  $job_to_send
-          echo ". /usr/share/modules/init/bash"    >>  $job_to_send
-          echo "set -x"                            >>  $job_to_send
-          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
-          echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
-          echo "%%END%%"                           >>  $job_to_send
-
        elif [[ $remote_host = lccrayb || $remote_host = lccrayh ]]
        then
-          echo "cat > scpjob.$kennung << %%END%%"        >>  $job_to_send
+          echo "cat > scpjob.$identifier << %%END%%"        >>  $job_to_send
           echo "#!/bin/bash"                             >>  $job_to_send
           echo "#PBS -N job_protocol_transfer"           >>  $job_to_send
@@ -1534,5 +1290,5 @@
        elif [[ $remote_host = lcflow ]]
        then
-          echo "cat > scpjob.${kennung}.tmp << %%END%%"                  >>  $job_to_send
+          echo "cat > scpjob.${identifier}.tmp << %%END%%"                  >>  $job_to_send
           echo "#!/bin/bash"                                             >>  $job_to_send
           echo "SGEPREFIX -S /bin/bash"                                  >>  $job_to_send
@@ -1543,5 +1299,5 @@
           echo "SGEPREFIX -l excl_flow=false"                            >>  $job_to_send
           echo "SGEPREFIX -j y"                                          >>  $job_to_send
-          echo "SGEPREFIX -o ${local_host}_${job_name}_scpjob_$kennung"  >>  $job_to_send 
+          echo "SGEPREFIX -o ${local_host}_${job_name}_scpjob_$identifier"  >>  $job_to_send 
           echo " "                                                       >>  $job_to_send 
           echo "set -x"                                                  >>  $job_to_send 
@@ -1551,12 +1307,12 @@
           echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
-          echo "rm -f scpjob.${kennung}"                                 >>  $job_to_send         
+          echo "rm -f scpjob.${identifier}"                                 >>  $job_to_send         
           echo "%%END%%"                                                 >>  $job_to_send
-          echo "sed -e 's/SGEPREFIX/#$/g' scpjob.${kennung}.tmp > scpjob.${kennung}" >>  $job_to_send         
-          echo "rm -f scpjob.${kennung}.tmp"                             >>  $job_to_send         
+          echo "sed -e 's/SGEPREFIX/#$/g' scpjob.${identifier}.tmp > scpjob.${identifier}" >>  $job_to_send         
+          echo "rm -f scpjob.${identifier}.tmp"                             >>  $job_to_send         
 
        else
 
-          echo "cat > scpjob.$kennung << %%END%%"  >>  $job_to_send
+          echo "cat > scpjob.$identifier << %%END%%"  >>  $job_to_send
           echo "# @\\\$-q $return_queue"           >>  $job_to_send
           echo "# @\\\$-l${qsubtime} 10"           >>  $job_to_send
@@ -1567,5 +1323,4 @@
           fi
           echo '# @\$-lF 10mb'                     >>  $job_to_send
-#          echo '# @\$-o /dev/null'                 >>  $job_to_send
           echo '# @\$-o job_queue/last_job_transfer_protocol'    >>  $job_to_send
           echo '# @\\\$-eo'                          >>  $job_to_send
@@ -1584,38 +1339,33 @@
        if [[ $(echo $remote_host | cut -c1-3) = ibm ]]
        then
-          echo "llsubmit  scpjob.$kennung"      >>  $job_to_send
+          echo "llsubmit  scpjob.$identifier"      >>  $job_to_send
        elif [[ $remote_host = lccrayb || $remote_host = lccrayh ]]
        then
-          echo "msub -q $return_queue  scpjob.$kennung"               >>  $job_to_send
-       elif [[ $(echo $remote_host | cut -c1-5) = lcsgi ]]
-       then
-          echo "rm -rf \$HOME/job_queue/last_job_transfer_protocol"  >>  $job_to_send
-          echo "chmod  u+x  scpjob.$kennung"                         >>  $job_to_send
-          echo "msub  scpjob.$kennung"                               >>  $job_to_send
+          echo "msub -q $return_queue  scpjob.$identifier"               >>  $job_to_send
        elif [[ $remote_host = t3eb  ||  $remote_host = t3eh  ||  $remote_host = t3ej2  ||  $remote_host = t3ej5 ]]
        then
-          echo "qsub -J n  scpjob.$kennung"     >>  $job_to_send
+          echo "qsub -J n  scpjob.$identifier"     >>  $job_to_send
        elif [[ $remote_host = t3es ]]
        then
-          echo "qsub -J n  -s /bin/ksh  scpjob.$kennung"     >>  $job_to_send
+          echo "qsub -J n  -s /bin/ksh  scpjob.$identifier"     >>  $job_to_send
        elif [[ $remote_host = lckiaps ]]
        then
-          echo "mv  scpjob.$kennung  $job_catalog"           >>  $job_to_send
-          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_addres}  \"$submcom ${job_catalog}/scpjob.$kennung\" "  >>  $job_to_send
-          echo "rm  ${job_catalog}/scpjob.$kennung"          >>  $job_to_send
+          echo "mv  scpjob.$identifier  $job_catalog"           >>  $job_to_send
+          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_addres}  \"$submcom ${job_catalog}/scpjob.$identifier\" "  >>  $job_to_send
+          echo "rm  ${job_catalog}/scpjob.$identifier"          >>  $job_to_send
        elif [[ $remote_host = lckyu* ]]
        then
-          echo "scp $PORTOPT scpjob.$kennung  ${remote_username}@${remote_addres}:job_queue"           >>  $job_to_send
-          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_addres}  \"cd job_queue; $submcom scpjob.$kennung; rm scpjob.$kennung\" "  >>  $job_to_send
+          echo "scp $PORTOPT scpjob.$identifier  ${remote_username}@${remote_addres}:job_queue"           >>  $job_to_send
+          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_addres}  \"cd job_queue; $submcom scpjob.$identifier; rm scpjob.$identifier\" "  >>  $job_to_send
        elif [[ $remote_host = lcflow ]]
        then
-          echo "mv  scpjob.$kennung  $job_catalog"           >>  $job_to_send
-          echo "/usr/bin/ssh ${remote_username}@${remote_addres}  \"$init_cmds $module_calls cd $job_catalog; $submcom scpjob.$kennung\" "  >>  $job_to_send
+          echo "mv  scpjob.$identifier  $job_catalog"           >>  $job_to_send
+          echo "/usr/bin/ssh ${remote_username}@${remote_addres}  \"$init_cmds $module_calls cd $job_catalog; $submcom scpjob.$identifier\" "  >>  $job_to_send
        else
-          echo "$submcom  scpjob.$kennung"      >>  $job_to_send
+          echo "$submcom  scpjob.$identifier"      >>  $job_to_send
        fi
        if [[ $remote_host != ibmku  &&  $remote_host != lckiaps ]]
        then
-          echo "rm  scpjob.$kennung"            >>  $job_to_send
+          echo "rm  scpjob.$identifier"            >>  $job_to_send
        fi
        if [[ $remote_host = nech ]]
@@ -1625,4 +1375,5 @@
     else
 #       echo "ftpcopy  -d  $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+       # ??? funktioniert das ÃŒberhaupt noch ???
        echo "nohup  ftpcopy  -d  -w 15  $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile  >  /dev/null  &"  >>  $job_to_send
     fi
@@ -1634,5 +1385,5 @@
 
 
-    # EIGENTLICHE JOB-DATEI AN QSUB-KOMMANDOS ANHAENGEN
+    # APPEND THE JOB-FILE (CREATE BY mrun) TO THE JOB-DIRECTIVES GENERATED ABOVE
  cat  $file_to_send  >>  $job_to_send
 
@@ -1643,5 +1394,5 @@
  fi
 
-    # remove job file
+    # REMOVE JOB-FILE
  if [[ $remote_host = lctit  ||  $remote_host = ibmku  ||  $remote_host = lcflow ]]
  then
@@ -1651,17 +1402,5 @@
 
 
-
-    # USER-NAME AUF ZIELRECHNER AUS .NETRC-DATEI ERMITTELN
- if [[ -z $remote_user ]]
- then
-    if [[ $remote_host = t3eb  ||  $remote_host = t3eh  ||  $remote_host = t3ej2  ||  $remote_host = t3ej5  ||  $remote_host = t3es  ||  $remote_host = vpp ]]
-    then
-       grep  $remote_addres  ~/.netrc | read dum dum dum remote_user dum dum
-    fi
- fi
-
-
-
-    # JOB AUF ZIELRECHNER TRANSFERIEREN BZW. INS JOBVERZEICHNIS KOPIEREN
+    # TRANSFER JOB TO THE TARGET HOST (JOB-DIRECTORY)
  if [[ $no_submit = false ]]
  then
@@ -1669,5 +1408,5 @@
     then
        [[ $verify = true ]]  &&  printf "\n >>> transfering job to \"$remote_host\"..."
-       if [[ $remote_host = ibms  ||  $remote_host = ibmy ]]    # ssh on ibms cannot handle "~/"
+       if [[ $remote_host = ibms ]]    # ssh on ibms cannot handle "~/"
        then
           job_catalog_save=$job_catalog
@@ -1680,6 +1419,5 @@
        if [[ $remote_host = nech ]]
        then
-             # DATEIEN KOENNEN NUR UEBER DEN ARCHIVE-SERVER DES DKRZ
-             # TRANSFERIERT WERDEN
+             # FILES CAN ONLY BE TRANSFERED VIA DKRZ'S ARCHIVE-SERVER
           scp  $PORTOPT  $job_to_send  ${remote_user}@136.172.44.205:${job_catalog}/$job_on_remhost
        else
@@ -1702,14 +1440,10 @@
 
 
-       # NQS- BZW. LOADLEVELER-JOB STARTEN
+       # START NQS- / LOADLEVELER-JOB
     if [[ $remote_host != $local_host ]]
     then
        [[ $verify = true ]]  &&  printf "\n >>> submitting job using \"qsub\"...\n"
 
-       if [[ $(echo $remote_host | cut -c1-5) = lcsgi  &&  $prio = true ]]
-       then
-          printf "\n >>> submit with HLRN qos-feature hiprio...\n"
-          ssh  $SSH_PORTOPT $remote_addres  -l $remote_user  "cd $job_catalog; $submcom -l qos=hiprio $job_on_remhost; rm $job_on_remhost"
-       elif [[ $remote_host = ibmku ]]
+       if [[ $remote_host = ibmku ]]
        then
           ssh  $SSH_PORTOPT $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost"
@@ -1724,8 +1458,8 @@
     else
        cd  $job_catalog
-       if [[ $(echo $local_host | cut -c1-5) = lcsgi  ||  $(echo $local_host | cut -c1-3) = ibm  ||  $(echo $local_host | cut -c1-6) = lccray ]]
+       if [[ $(echo $local_host | cut -c1-3) = ibm  ||  $(echo $local_host | cut -c1-6) = lccray ]]
        then
           eval  $submcom  $job_on_remhost
-       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxe6  ||  $localhost = lck  || $localhost = lckordi ||  $localhost = lcyon || $localhost = lcsb  ||  $localhost = lckyu* ]]
+       elif [[  $local_host = lctit  ||  $localhost = lcxe6  ||  $localhost = lck  || $localhost = lckordi ||  $localhost = lcyon || $localhost = lcsb  ||  $localhost = lckyu* ]]
        then
           chmod  u+x  $job_on_remhost
@@ -1743,6 +1477,6 @@
        fi
 
-          # Jobfile must not be deleted on lctit/ibmku!! This will be done
-          # only at the end of the job.
+          # JOBFILE MUST NOT BE DELETED ON lctit/ibmku/lcflow. THIS WILL BE DONE
+          # AT THE END OF THE JOB
        if [[ $local_host != lctit  &&  $local_host != ibmku  &&  $local_host != lcflow ]]
        then
@@ -1755,6 +1489,5 @@
 
 
-    # ABSCHLUSSARBEITEN
-
+    # FINAL ACTIONS
  if [[ $no_submit = false ]]
  then
